<?php
/* --------------------------------------------------------------
   ParcelServiceReaderInterface.inc.php 2018-07-03
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2018 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

/**
 * Interface ParcelServiceReaderInterface
 */
interface ParcelServiceReaderInterface
{
	/**
	 * Returns all parcel services limited by given limit and offset.
	 *
	 * @param \IntType $limit
	 * @param \IntType $offset
	 *
	 * @return array
	 */
	public function fetchAll(\IntType $limit, \IntType $offset);
	
	
	/**
	 * Returns the parcel service search result limited by given limit and offset as an array.
	 *
	 * @param \IntType $limit
	 * @param \IntType $offset
	 * @param StringType   $searchCondition
	 *
	 * @return array
	 */
	public function fetchBy(\IntType $limit, \IntType $offset, StringType $searchCondition);
	
	
	/**
	 * Returns a parcel service as an array identified by its ID.
	 *
	 * @param \ParcelServiceId $parcelServiceId
	 *
	 * @return array
	 */
	public function fetchById(\ParcelServiceId $parcelServiceId);
}